# Copyright (C) 2021-2026 Stephan Kreutzer
#
# This file is part of dimgra_to_xml_1, a submodule of the
# digital_publishing_workflow_tools package.
#
# dimgra_to_xml_1 is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License version 3 or any later version,
# as published by the Free Software Foundation.
#
# dimgra_to_xml_1 is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License 3 for more details.
#
# You should have received a copy of the GNU Affero General Public License 3
# along with dimgra_to_xml_1. If not, see <http://www.gnu.org/licenses/>.

messageArgumentsMissingUsage = Usage:
messageParameterList = job-file result-info-file
messageResultInfoFileCantGetCanonicalPath = Can''t get canonical path of result information file "{0}".
messageResultInfoFileIsntWritable = Result information file "{0}" isn''t writable.
messageResultInfoPathIsntAFile = Result information path "{0}" isn''t a file.
messageCantDetermineProgramPath = Can''t determine program path.
messageJobFileCantGetCanonicalPath = Can''t get canonical path of the job file "{0}".
messageJobFileDoesntExist = Job file "{0}" doesn''t exist.
messageJobPathIsntAFile = Job path "{0}" exists, but isn''t a file.
messageJobFileIsntReadable = Job file "{0}" isn''t readable.
messageCallDetails = Called with job file "{0}" and result information file "{1}".
messageJobFileEntryIsMissingAnAttribute = Element "{1}" in job file "{0}" is missing its "{2}" attribute.
messageJobFileElementConfiguredMoreThanOnce = Element "{1}" configured more than once in job file "{0}".
messageInputFileCantGetCanonicalPath = Can''t get canonical path of the input file "{0}" as specified in job file "{1}".
messageInputFileDoesntExist = Input file "{0}" as specified in job file "{1}" doesn''t exist.
messageInputPathIsntAFile = Input path "{0}" as specified in job file "{1}" exists, but isn''t a file.
messageInputFileIsntReadable = Input file "{0}" as specified in job file "{1}" isn''t readable.
messageOutputFileCantGetCanonicalPath = Can''t get canonical path of the output file "{0}" as specified in job file "{1}".
messageOutputFileExistsButIsntWritable = Output file "{0}" as specified in job file "{1}" does exist, but isn''t writable.
messageOutputPathExistsButIsntAFile = Output path "{0}" as specified in job file "{1}" exists, but isn''t a file.
messageTempDirectoryCantGetCanonicalPath = Can''t get canonical path of temp directory "{0}".
messageJobFileElementConfiguredMoreThanOnce = Namespace "{2}" for element "{1}" configured more than once in job file "{0}".
messageJobFileErrorWhileReading = An error occurred while reading job file "{0}".
messageJobFileInputFileIsntConfigured = There is no input file configured in job file "{0}" per element "{1}".
messageJobFileOutputFileIsntConfigured = There is no output file configured in job file "{0}" per element "{1}".
messageJobFileElementIsntConfigured = Element "{1}" not configured in job file "{0}".
messageJobFileOutputNamespaceButNamespaceIsEmpty = Namespace is empty but is configured for output for element "{1}" in job file "{0}".
messageTempDirectoryIsntWritable = Temporary directory "{0}" isn''t writable.
messageTempPathIsntADirectory = Temporary path "{0}" isn''t a directory.
messageTempDirectoryCantCreate = Can''t create temporary directory "{0}".
messageInputFileEntryIsMissingAnAttribute = Element "{1}" in input file "{0}" is missing its "{2}" attribute.
messageInputFileNodeTitleMoreThanOnce = More than one node title in input file "{0}".
messageInputFileNodeTextMoreThanOnce = More than one node text in input file "{0}".
messageInputFileNodeTitleMissing = No node title found in input file "{0}".
messageInputFileDuplicateNodeId = Duplicate node ID "{1}" in input file "{0}".
messageInputFileEdgeDimensionMoreThanOnce = More than one edge dimension in input file "{0}".
messageInputFilePrematureEnd = Premature end of file for input file "{0}".
messageInputFileEdgeDimensionNotCharacters = Edge dimension isn''t characters, but should, in input file "{0}".
messageInputFileEdgeDimensionMissing = Edge dimension is missing in input file "{0}".
messageInputFileErrorWhileReading = An error occurred while reading input file "{0}".
messageOuterContainerElementNamespaceDimensionNotFound = Namespace dimension for outer container element "{0}" not found.
messageOuterContainerElementNamespaceDimensionWithoutEdges = No edges found for outer container element namespace dimension "{0}".
messageInputFileWithDimensionThatsNotConfiguredInJobFile = Input file "{0}" uses a dimension "{1}" which is not configured in job file "{2}".
messageOutputFileErrorWhileWriting = An error occurred while writing output file "{0}".
